Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GNode

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GNode

Direct Known Subclasses:
  GHexa, GIcon, GJavaComponent, GOval, GRectangle

    public class GNode

extends GObject

CLASSE GNode /

Field Summary
`int` | `HANDLE_SIZE`
`protected boolean` | `resizable`
`protected int` | `selectedHandle`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GNode()`

Method Summary
`boolean` | `contains(java.awt.Point p)`
`void` | `displayHandles(java.awt.Graphics g)` Displays the handles when the graphic object is selected and is resizable.
`void` | `doDrag(int dx, int dy)`
`void` | `doReSelect(int _x, int _y)`
`boolean` | `getResizable()` Get the value of resizable.
`int` | `getSelectedHandle()`
`java.awt.Point` | `intersection(java.awt.Point p)`
`boolean` | `isContainedIn(java.awt.Rectangle r)`
`void` | `select(boolean state)`
`void` | `setResizable(boolean b)` set the value of resizable.

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, delete, displayName, drag, getBounds, getCenter, getDimension, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, init, intersection, isContainedIn, isSelectable, isSelected, paint, reInstall, setCenter, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, snapToGrid, translate, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HANDLE_SIZE

    public final int HANDLE_SIZE

See Also:
  Constant Field Values

### selectedHandle

    protected int selectedHandle

### resizable

    protected boolean resizable

Constructor Detail

### GNode

    public GNode()

Method Detail

### getSelectedHandle

    public int getSelectedHandle()

### getResizable

    public boolean getResizable()

  Get the value of resizable.

  Returns:
    Value of resizable.

### setResizable

    public void setResizable(boolean b)

  set the value of resizable.

  Parameters:
    `b` - Boolean value to assign to resizable.

### select

    public void select(boolean state)

  Overrides:
    `select` in class `GObject`

### doReSelect

    public void doReSelect(int _x,
                           int _y)

### doDrag

    public void doDrag(int dx,
                       int dy)

### isContainedIn

    public boolean isContainedIn(java.awt.Rectangle r)

  Overrides:
    `isContainedIn` in class `GObject`

### contains

    public boolean contains(java.awt.Point p)

  Overrides:
    `contains` in class `GObject`

### intersection

    public java.awt.Point intersection(java.awt.Point p)

  Overrides:
    `intersection` in class `GObject`

### displayHandles

    public void displayHandles(java.awt.Graphics g)

  Displays the handles when the graphic object is selected and is resizable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.